libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_synthesis_restart

declared in "vorbis/codec.h";

This function restores a vorbis_dsp_state structure representing a decoder to its freshly-initialized state. This should be called if the application seeks within a Vorbis bitstream.

    extern int      vorbis_synthesis_restart(vorbis_dsp_state *v);

### Parameters

v
  The vorbis_dsp_state to reset.

### Return Values

> - 0 on success.
> - -1 on error.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101